%define url_ver %(echo  %{version}|cut -d. -f1,2)

# filter panel applet .so from provides
%global __provides_exclude_from %{_libdir}/mate-panel/.*\\.so

%define api         4
%define major       1
%define libname     %mklibname mate-panel-applet %{api} %{major}
%define develname   %mklibname -d mate-panel-applet

%define gi_major    4.0
%define girname     %mklibname mate-panel-applet-gir %{gi_major}

Summary: The core programs for the MATE GUI desktop environment
Name:    mate-panel
Version: 1.18.1
Release: %mkrel 2
License: GPLv2+ and LGPLv2+
Group:   Graphical desktop/MATE
URL:     http://mate-desktop.org
Source0: http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
Source3: mate-panel-mga.gschema.override

# (fc) 1.6.0-1mga  use xlock instead of xscreensaver to lock root desktop
Patch0:  mate-panel-1.6.0-mga-rootlock.patch
# ensure net_applet role is network
Patch1:  mate-panel-1.18.0-mga-netapplet.patch
# Adds about-mageia in context menu
Patch2:  mate-panel-1.17.0-mga-about-mageia.patch
# From Fedora:
# fixes https://github.com/mate-desktop/mate-panel/issues/305
Patch100: mate-panel_0023-GTK-3-panel-Remove-popup-menu-for-items-in-applicati.patch
# Upstream patches
# http://git.mate-desktop.org/mate-panel/commit/?h=1.18&id=471d39d
Patch101:         mate-panel_0001-properly-fit-expanded-panel-to-smaller-screen-size.patch
# http://git.mate-desktop.org/mate-panel/commit/?h=1.18&id=72dab7d
Patch102:         mate-panel_0001-status-notifier-Do-not-hide-passive-items.patch
# http://git.mate-desktop.org/mate-panel/commit/?h=1.18&id=82ded61
Patch103:         mate-panel_0001-Run-dialog-Fix-wrong-history-order.patch
# https://github.com/mate-desktop/mate-panel/pull/568
Patch104:         mate-panel_0001-panel-Use-new-GTK-bookmarks-location-if-using-GTK-3.patch

BuildRequires: pkgconfig(gtk+-3.0) >= 3.14.0
BuildRequires: pkgconfig(libwnck-3.0)
BuildRequires: pkgconfig(libcanberra-gtk3)
BuildRequires: mate-common >= 1.16.0
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(glib-2.0) >= 2.36
BuildRequires: pkgconfig(gio-2.0) >= 2.36
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: pkgconfig(gdk-pixbuf-2.0)
BuildRequires: pkgconfig(pango) >= 1.15.4
BuildRequires: pkgconfig(mateweather) >= 1.16.0
BuildRequires: pkgconfig(libmate-menu) >= 1.16.0
BuildRequires: pkgconfig(librsvg-2.0) >= 2.36.2
BuildRequires: pkgconfig(mate-desktop-2.0) >= 1.17.0
BuildRequires: pkgconfig(sm)
BuildRequires: pkgconfig(dconf)
BuildRequires: itstool
BuildRequires: yelp-tools

Requires: desktop-common-data >= 6.0-1
Requires: mate-session-manager
Requires: mate-desktop >= 1.16.0
Requires: mate-menus
Requires: mate-screensaver
Requires: mate-polkit
Requires: caja-schemas

#(patch0)
Requires: xlockmore

Recommends: mate-applets

Conflicts: %{_lib}mate-panel-applet4_1 < 1.16.0

%description
MATE (yerba maté) is a user-friendly set of applications and desktop
tools to be used in conjunction with a window manager for the X Window
System.

The MATE panel packages provides the mate panel, menus and some
basic applets for the panel.

%package -n %{libname}
Summary: %{summary}
Group: System/Libraries
Obsoletes: %{_lib}mate-panel-applet-4_1 < 1.6.1-2

%description -n %{libname}
Panel libraries for running MATE panels.

%package -n %{girname}
Summary: GObject Introspection interface description for %{name}
Group: System/Libraries
Requires: %{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n %{develname}
Summary: Static libraries, include files for MATE panel
Group: Development/C
Provides: %{name}-devel = %{version}-%{release}
Provides: libmate-panel-applet-devel = %{version}-%{release}
Provides: libmate-panel-applet%{api}-devel = %{version}-%{release}
Requires: %{libname} = %{version}-%{release}
Requires: %{girname} = %{version}-%{release}
Obsoletes: %{_lib}mate-panel-applet-4-devel < 1.6.1-2

%description -n %{develname}
Panel libraries and header files for creating MATE panels.

%prep
%autosetup -p1

%build
#libexecdir needed for gnome conflicts
%configure2_5x \
           --disable-static                       \
           --disable-schemas-compile              \
           --with-x                               \
           --libexecdir=%{_libexecdir}/mate-panel \
           --with-in-process-applets=all          \
           --enable-introspection

%make_build

%install

%make_install

#remove old files
find %{buildroot} -name '*.la' -delete

# Install Mageia panel layout and corresponding gschema override
install -D -m 0644 %{_sourcedir}/mate-panel-mga.gschema.override %{buildroot}%{_datadir}/glib-2.0/schemas/

%find_lang %{name} --with-gnome --with-help --all-name

%files -f %{name}.lang
%doc AUTHORS COPYING README
%{_mandir}/man1/*
%{_bindir}/mate-desktop-item-edit
%{_bindir}/mate-panel
%{_bindir}/mate-panel-test-applets
%{_datadir}/glib-2.0/schemas/org.mate.panel.*.xml
%{_datadir}/glib-2.0/schemas/mate-panel-mga.gschema.override
%{_datadir}/applications/mate-panel.desktop
%{_iconsdir}/hicolor/*/*/*
%{_datadir}/mate-panel/
%{_libdir}/mate-panel/libclock-applet.so
%{_libdir}/mate-panel/libfish-applet.so
%{_libdir}/mate-panel/libnotification-area-applet.so
%{_libdir}/mate-panel/libwnck-applet.so

%files -n %{libname}
%{_libdir}/libmate-panel-applet-%{api}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/MatePanelApplet-%{gi_major}.typelib

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/*
%{_libdir}/libmate-panel-applet-%{api}.so
%{_includedir}/mate-panel-4.0/
%{_libdir}/pkgconfig/libmatepanelapplet-4.0.pc
%{_datadir}/gir-1.0/MatePanelApplet-4.0.gir


%changelog
* Fri Apr 28 2017 tarakbumba <tarakbumba> 1.18.1-2.mga6
+ Revision: 1097851
- Add upstream patches

* Wed Apr 05 2017 tarakbumba <tarakbumba> 1.18.1-1.mga6
+ Revision: 1096017
- Update to 1.18.1 version

* Tue Mar 14 2017 tarakbumba <tarakbumba> 1.18.0-1.mga6
+ Revision: 1092582
- Updated to 1.18.0 version
- Update to 1.17.1 version
- Update to 1.17.0 version

* Sat Dec 24 2016 wally <wally> 1.16.0-2.mga6
+ Revision: 1076946
- add interesting patches from Fedora and upstream git

* Tue Dec 13 2016 wally <wally> 1.16.0-1.mga6
+ Revision: 1074705
- new version 1.16.0
- build with gtk3
- move panel applets to main pkg

* Mon May 30 2016 daviddavid <daviddavid> 1.14.0-2.mga6
+ Revision: 1019402
- remove mageia-menu.svg icon provided now in desktop-common-data (fixes file conflicts mga#18585)

* Thu Apr 14 2016 tarakbumba <tarakbumba> 1.14.0-1.mga6
+ Revision: 1001218
- Update to 1.14.0 version

* Sun Mar 27 2016 tarakbumba <tarakbumba> 1.13.2-1.mga6
+ Revision: 995805
- Update to 1.13.2 version
- Remove upstereamed patch

* Fri Feb 26 2016 tarakbumba <tarakbumba> 1.13.1-1.mga6
+ Revision: 979334
- Update to 1.13.1 version
- Make places max menu items configurable

* Mon Feb 08 2016 tarakbumba <tarakbumba> 1.13.0-1.mga6
+ Revision: 942469
- Update to 1.13.0 version
- Fix mate-about entry in menu

* Fri Dec 04 2015 tarakbumba <tarakbumba> 1.12.1-1.mga6
+ Revision: 908164
- Update to 1.12.1 version
- Prepare specfile for possible gtk3 build

* Sun Nov 08 2015 tarakbumba <tarakbumba> 1.12.0-1.mga6
+ Revision: 898506
-Update to 1.12.0 version

* Sat Sep 05 2015 wally <wally> 1.10.1-1.mga6
+ Revision: 872985
- new version 1.10.1

* Mon Jun 29 2015 wally <wally> 1.10.0-2.mga6
+ Revision: 847768
- add requires for gir pkg to devel pkg

* Sun Jun 21 2015 tarakbumba <tarakbumba> 1.10.0-1.mga6
+ Revision: 837291
- Update to 1.10.0 version

* Wed Feb 25 2015 tarakbumba <tarakbumba> 1.8.1-4.mga5
+ Revision: 817014
- Add upstream patch to fix panel drawer stretching all screen issue

* Tue Feb 10 2015 tarakbumba <tarakbumba> 1.8.1-3.mga5
+ Revision: 814599
- Fix workspace switcher applet does not allow number of workspaces bug (mga#15258)

* Wed Oct 15 2014 umeabot <umeabot> 1.8.1-2.mga5
+ Revision: 751247
- Second Mageia 5 Mass Rebuild

* Mon Sep 29 2014 tarakbumba <tarakbumba> 1.8.1-1.mga5
+ Revision: 731533
- Update to 1.8.1 version
- Use autosetup macro at prep stage

* Sat Sep 27 2014 tv <tv> 1.8.0-5.mga5
+ Revision: 727163
- rebuild for missing pythoneggs deps

* Fri Sep 26 2014 wally <wally> 1.8.0-4.mga5
+ Revision: 724941
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 1.8.0-3.mga5
+ Revision: 682198
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Fri Jul 11 2014 tarakbumba <tarakbumba> 1.8.0-2.mga5
+ Revision: 651383
- Re-add about mageia panel entry
- Ensure that panel uses mageia layout

* Wed Mar 05 2014 tarakbumba <tarakbumba> 1.8.0-1.mga5
+ Revision: 600090
- Updated to version 1.8.0

* Sat Mar 01 2014 tarakbumba <tarakbumba> 1.7.90-1.mga5
+ Revision: 598052
- Update to 1.7.x version

* Tue Feb 04 2014 tarakbumba <tarakbumba> 1.6.2-1.mga5
+ Revision: 582703
-Update to bugfix version: 1.6.2
    -clock-applet: set sane unit values
-Disable about-mageia menu entry for now
-Remove IM client launcher from default layout; users should decide it.
- Add xchat to panel instead of pidgin
- Remove about-mageia from menu until indexhtml fixed

* Sat Dec 28 2013 tarakbumba <tarakbumba> 1.6.1-6.mga4
+ Revision: 562944
- Fix drakconf launcher in default layout
- Add about-mageia into context menu

* Sun Dec 08 2013 tarakbumba <tarakbumba> 1.6.1-5.mga4
+ Revision: 555828
- Fix install path of panel-default-layout.dist in SPEC

* Fri Dec 06 2013 tarakbumba <tarakbumba> 1.6.1-4.mga4
+ Revision: 555745
- Use .dist file instead of ugly patching
- Fix panel resetting future (upstream)

* Sat Oct 19 2013 umeabot <umeabot> 1.6.1-3.mga4
+ Revision: 532635
- Mageia 4 Mass Rebuild

* Wed Aug 21 2013 wally <wally> 1.6.1-2.mga4
+ Revision: 469029
- fix lib and devel pkg names
- drop unneeded provides/requires
- tighten deps

* Thu Aug 08 2013 diogenese <diogenese> 1.6.1-1.mga4
+ Revision: 464716
- updated sources to 1.6.1

* Thu Jun 13 2013 tarakbumba <tarakbumba> 1.6.0-1.mga4
+ Revision: 442266
- imported package mate-panel

